Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class ArquivoLista

    java.lang.Object
      estella.lib.Lista
          estella.lib.ArquivoLista

    public class ArquivoLista

extends Lista

Gerencia uma lista de objetos do tipo arquivo

Since:
  07/12/2005
See Also:
  `Lista`, `Arquivo`

Field Summary

Fields inherited from class estella.lib.Lista
`LISTA, LOG`

Constructor Summary
`ArquivoLista()`
`ArquivoLista(java.util.List LISTA)`

Method Summary
`java.lang.String` | `existe(java.lang.String termo)` Verifica se existe um arquivo (ou mais) arquivos com o nome passado
`boolean` | `existe(java.lang.String termo, int index)` Verifica se existe um arquivo com o nome e index passado

Methods inherited from class estella.lib.Lista
`adiciona, existe, limpa, remove, retorna, tamanho`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArquivoLista

    public ArquivoLista()

### ArquivoLista

    public ArquivoLista(java.util.List LISTA)

Method Detail

### existe

    public java.lang.String existe(java.lang.String termo)

  Verifica se existe um arquivo (ou mais) arquivos com o nome passado

  Parameters:
    `nomeArquivo` - - nome do arquivo a ser verificad
  Returns:
    String com todos arquivos encontrados, separados por ';' index, nome, tamanho, caminho

### existe

    public boolean existe(java.lang.String termo,
                          int index)

  Verifica se existe um arquivo com o nome e index passado

  Parameters:
    `nomeArquivo` - - nome do arquivo a ser verificad
  Returns:
    String com todos arquivos encontrados, separados por ';' index, nome, tamanho, caminho

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD